Bug 247764 - The ISO contains RPMS/rhn-web-docs-4.1.0-1.i386.rpm
Summary: The ISO contains RPMS/rhn-web-docs-4.1.0-1.i386.rpm
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer   
(Show other bugs)
Version: 500
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Brandon Perkins
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-11 11:02 UTC by Jan Pazdziora
Modified: 2007-08-29 15:32 UTC (History)
2 users (show)

Fixed In Version: sat501
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 15:32:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Pazdziora 2007-07-11 11:02:10 UTC
Description of problem:

The ISO contains file RPMS/rhn-web-docs-4.1.0-1.i386.rpm, with Satellite 4
documentation. Presumably it should be removed.

Version-Release number of selected component (if applicable):

Satellite ISO 5.0.0-43.

How reproducible:

Deterministic.

Steps to Reproduce:
1. mkdir x && mount -o loop,ro
rhn-satellite-5.0.0-43-redhat-linux-as-i386-4-embedded-oracle.iso x
2. ls -la x/RPMS/rhn-web-docs-4.1.0-1.i386.rpm
  
Actual results:

# ls -la x/RPMS/rhn-web-docs-4.1.0-1.i386.rpm 
-r--r--r--  1 root root 13871987 Jun 21 14:31 x/RPMS/rhn-web-docs-4.1.0-1.i386.rpm
#

Expected results:

The rpm should not be on the ISO.

Additional info:

This rpm is installed on Satellite 4.2.1 as well, so it's not that we'd failed
to bump the version for 5.0 rpm, and the rpm contains Satellite 4 content, which
I think we do not need to distribute.

Comment 3 Brandon Perkins 2007-07-27 15:40:25 UTC
Whew... lots of stuff to make this one work.  Big things to note:

1) From the base of the mounted ISO:
      $ ls RPMS/rhn-web-docs-*
   should return 'No such file or directory'

2) After Satellite is installed (and updated):
      $ rpm -q rhn-web-docs
   should return 'package rhn-web-docs is not installed'

3) After Satellite is installed (and updated):
      $ rpm -q rhn-html
   should return 'rhn-html-5.0.1-8' or greater

4) From the Satellite Web interface go to:
      http://<FQDN>/help/index.pxt
   There should be no:
      RHN Best Practices Guide (PDF only)
      A set of best practices for corporate RHN users.
   Between:
      #   RHN Reference Guide  (Translations available)
          Detailed instructions for using RHN service.
      and
      #   Satellite Installation Guide (Translations available)
          Detailed information regarding RHN Satellite server and its installation. 


Comment 4 John Ha 2007-08-02 18:33:45 UTC
Doesn't look like this needs an entry in the Satellite 501 release notes. Let me
know otherwise.

Comment 5 Brandon Perkins 2007-08-02 19:58:57 UTC
ON_QA

Comment 6 wes hayutin 2007-08-03 17:10:49 UTC
verified

Comment 7 wes hayutin 2007-08-22 19:29:11 UTC
rhns-xp-5.0.1-10.noarch.rpm
[root@dhcp58-242 RPMS]# ls rhn-web*
ls: rhn-web*: No such file or directory
[root@dhcp58-242 RPMS]# pwd
/tmp/mnt/RPMS
[root@dhcp58-242 RPMS]# mount
/dev/sda3 on / type ext3 (rw)
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
usbfs on /proc/bus/usb type usbfs (rw)
/dev/sda1 on /boot type ext3 (rw)
none on /dev/shm type tmpfs (rw)
/dev/hda3 on /var/satellite type ext3 (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
/root/rhn-satellite-5.0.1-9-redhat-linux-as-i386-4-embedded-oracle.iso on
/tmp/mnt type iso9660 (rw,loop=/dev/loop0)


release pending


Note You need to log in before you can comment on or make changes to this bug.